{{ define "content" }}

<h1>Simulator Orchestrator Control</h1>
<form id="form">
    <h2>Orchestrator-instellingen</h2>
    <div class="form-group">
        <label for="start-time">Start time:</label>
        <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5 sm:mb-7">
            <mk-datetimepicker id="start-time" name="start-time" placeholder="Starttijd" value="01-01-2024 00:00"></mk-datetimepicker>
        </div>
    </div>
    <div class="form-group">
        <label for="end-time">End time:</label>
        <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5 sm:mb-7">
            <mk-datetimepicker id="end-time" name="end-time" placeholder="Eindtijd" value="31-12-2024 23:59"></mk-datetimepicker>
        </div>
    </div>
    <h2>Seeder-instellingen</h2>
    <div class="form-group">
        <label for="end-time">Number of instances:</label>
        <div class="col-span-12 sm:col-span-7 md:col-span-8 mb-5 sm:mb-7">
        <input id="num_instances" class="bg-white border border-gray-300 text-gray-800 text-sm rounded-lg focus:outline-none focus:ring-1 focus:ring-sky-500 focus:border-sky-500 block w-full p-2.5 shadow-sm placeholder:text-gray-400" name="num-instances" placeholder="Aantal instanties" value="1000" type="number"/>
        </div>
    </div>
    <div class="buttons">
        <button class="start" hx-post="/start" hx-trigger="click" hx-swap="none">Start</button>
        <button class="reset" hx-delete="/reset" hx-trigger="click" hx-swap="none">Reset</button>
    </div>
</form>
<div class="status-overview">
</div>
<div class="consumer-details" hx-get="/status" hx-trigger="load, every 1s">
</div>

<script>
    function stopSimulation() {
        alert("Stopping simulation.");
        // Add your stop simulation logic here
    }
</script>

{{ end }}
